/**
  *  \file planetscentral/net/encoding.h
  *  \brief Networking: Encoding and Decoding
  */
#ifndef C2SERVER_PLANETSCENTRAL_NET_ENCODING_H
#define C2SERVER_PLANETSCENTRAL_NET_ENCODING_H

#include "cpluslib/string.h"

string_t encodeBase64(string_t input);
string_t decodeBase64(string_t input);

string_t encodeUrl(string_t input);
string_t decodeUrl(string_t input);

string_t encodeQP(string_t input);
string_t decodeQP(string_t input);

string_t encodeMimeHeader(string_t input, string_t charset);

#endif
